Subject: Re: bug#20081: patch-source-shebangs crashes on broken symlink

From: Mark H Weaver <[email-masked]>
Date: Wed, 11 Mar 2015 16:18:53 -0400

Andreas Enge <[email-masked]> writes:

> On Wed, Mar 11, 2015 at 04:02:11PM +0100, Tomáš Čech wrote:
>> I'm trying to create package for taskwarrior.
>> Source tarball contain symlinks to nonexisting file `task':
>
> I would argue that this is not a bug in guix, but in the tarball.
> You can remove the link with an additional phase before 'configure, see, for
> instance, the dvdisaster package in cdrom.scm.

The phase should go after the 'unpack' phase rather than before
configure, but otherwise I agree with Andreas.

       Mark